# Class TopologyLevel

Object
CodeList<TopologyLevel>
TopologyLevel

All Implemented Interfaces:
  `Serializable, Comparable<TopologyLevel>`

@UML(identifier="MD_TopologyLevelCode", specification=ISO_19115) public final class TopologyLevel extends CodeList<TopologyLevel>
Degree of complexity of the spatial relationships.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TopologyLevel`
  `ABSTRACT`
  Topological complex without any specified geometric realization.
  `static final TopologyLevel`
  `FULL_PLANAR_GRAPH`
  2-dimensional topological complex which is planar.
  `static final TopologyLevel`
  `FULL_SURFACE_GRAPH`
  2-dimensional topological complex which is isomorphic to a subset of a surface.
  `static final TopologyLevel`
  `FULL_TOPOLOGY_3D`
  Complete coverage of a 3D coordinate space.
  `static final TopologyLevel`
  `GEOMETRY_ONLY`
  Geometry objects without any additional structure which describes topology.
  `static final TopologyLevel`
  `PLANAR_GRAPH`
  1-dimensional topological complex which is planar.
  `static final TopologyLevel`
  `SURFACE_GRAPH`
  1-dimensional topological complex which is isomorphic to a subset of a surface.
  `static final TopologyLevel`
  `TOPOLOGY_1D`
  1-dimensional topological complex.
  `static final TopologyLevel`
  `TOPOLOGY_3D`
  3-dimensional topological complex.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TopologyLevel[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static TopologyLevel`
  `valueOf(String code)`
  Returns the topology level that matches the given string, or returns a new one if none match it.
  `static TopologyLevel[]`
  `values()`
  Returns the list of `TopologyLevel`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### GEOMETRY_ONLY

    @UML(identifier="geometryOnly", obligation=CONDITIONAL, specification=ISO_19115) public static final TopologyLevel GEOMETRY_ONLY
    Geometry objects without any additional structure which describes topology.

  - ### TOPOLOGY_1D

    @UML(identifier="topology1D", obligation=CONDITIONAL, specification=ISO_19115) public static final TopologyLevel TOPOLOGY_1D
    1-dimensional topological complex.

  - ### PLANAR_GRAPH

    @UML(identifier="planarGraph", obligation=CONDITIONAL, specification=ISO_19115) public static final TopologyLevel PLANAR_GRAPH
    1-dimensional topological complex which is planar.

  - ### FULL_PLANAR_GRAPH

    @UML(identifier="fullPlanarGraph", obligation=CONDITIONAL, specification=ISO_19115) public static final TopologyLevel FULL_PLANAR_GRAPH
    2-dimensional topological complex which is planar.

  - ### SURFACE_GRAPH

    @UML(identifier="surfaceGraph", obligation=CONDITIONAL, specification=ISO_19115) public static final TopologyLevel SURFACE_GRAPH
    1-dimensional topological complex which is isomorphic to a subset of a surface.

  - ### FULL_SURFACE_GRAPH

    @UML(identifier="fullSurfaceGraph", obligation=CONDITIONAL, specification=ISO_19115) public static final TopologyLevel FULL_SURFACE_GRAPH
    2-dimensional topological complex which is isomorphic to a subset of a surface.

  - ### TOPOLOGY_3D

    @UML(identifier="topology3D", obligation=CONDITIONAL, specification=ISO_19115) public static final TopologyLevel TOPOLOGY_3D
    3-dimensional topological complex.

  - ### FULL_TOPOLOGY_3D

    @UML(identifier="fullTopology3D", obligation=CONDITIONAL, specification=ISO_19115) public static final TopologyLevel FULL_TOPOLOGY_3D
    Complete coverage of a 3D coordinate space.

  - ### ABSTRACT

    @UML(identifier="abstract", obligation=CONDITIONAL, specification=ISO_19115) public static final TopologyLevel ABSTRACT
    Topological complex without any specified geometric realization.

- ## Method Details

  - ### values

    public static TopologyLevel[] values()
    Returns the list of `TopologyLevel`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public TopologyLevel[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<TopologyLevel>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static TopologyLevel valueOf(String code)
    Returns the topology level that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.